Name:           virt-who
Version:        0.5
Release:        5%{?dist}
Summary:        Agent for reporting virtual guest IDs to subscription-manager

Group:          System Environment/Base
License:        GPLv2+
URL:            https://fedorahosted.org/virt-who/
Source0:        https://fedorahosted.org/releases/v/i/virt-who/%{name}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Patch0:         virt-who-0.5-fix-reference-before-assignment.patch
Patch1:         virt-who-0.5-fix-logging-exceptions.patch
Patch2:         virt-who-0.5-fix-using-undefined-variable.patch
Patch3:         virt-who-0.5-don-t-report-Domain-0-as-guest.patch
Patch4:         virt-who-0.5-make-password-for-esx-not-mandatory.patch
Patch5:         virt-who-0.5-assume-using-https-protocol-when-not-given.patch
Patch6:         virt-who-0.5-fix-crash-when-no-guest-exists.patch

BuildArch:      noarch
BuildRequires:  python2-devel
Requires:       libvirt-python
Requires:       libvirt
# python-rhsm 0.98.6 has required call for vSphere support
Requires:       python-rhsm >= 0.98.6
# python-suds is required for vSphere support
Requires:       python-suds
Requires(post): chkconfig
Requires(preun): chkconfig
# This is for /sbin/service
Requires(preun): initscripts


%description
Agent that collects information about virtual guests present in the system and
report them to the subscription manager.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build


%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

# Don't run test suite in check section, because it need the system to be
# registered to subscription-manager server

%clean
rm -rf $RPM_BUILD_ROOT

%post
# This adds the proper /etc/rc*.d links for the script
/sbin/chkconfig --add virt-who

%preun
if [ $1 -eq 0 ] ; then
    /sbin/service virt-who stop >/dev/null 2>&1
    /sbin/chkconfig --del virt-who
fi

%postun
if [ "$1" -ge "1" ] ; then
    /sbin/service virt-who condrestart >/dev/null 2>&1 || :
fi


%files
%doc README LICENSE
%{_bindir}/virt-who
%{_datadir}/virt-who/
%{_sysconfdir}/rc.d/init.d/virt-who
%config(noreplace) %{_sysconfdir}/sysconfig/virt-who


%changelog
* Thu Dec 10 2012 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Fri Jan 20 2012 Radek Novacek <rnovacek@redhat.com> 0.5-5
- Fix crash when no guest exists
- Resolves: rhbz#783355

* Wed Jan 11 2012 Radek Novacek <rnovacek@redhat.com> 0.5-4
- Make password for ESX not mandatory
- Assume using https protocol when not given on ESX
- Resolves: rhbz#772612, rhbz#772379

* Wed Dec 21 2011 Radek Novacek <rnovacek@redhat.com> 0.5-3
- Fix logging exceptions
- Fix using undefined variable
- Don't report Domain-0 as guest
- Resolves: rhbz#768112, rhbz#769170

* Wed Dec 14 2011 Radek Novacek <rnovacek@redhat.com> 0.5-2
- Fix refernce before assignment error
- Resolves: rhbz#756380

* Tue Dec 13 2011 Radek Novacek <rnovacek@redhat.com> 0.5-1
- Upstream version 0.5
- vSphere support
- Don't print logs to stderr when not in debug mode
- Add workaround for xen for adding guests
- Fix exporting variables from /etc/sysconfig in initscript
- Resolves: rhbz#759631, rhbz#765728, rhbz#761569, rhbz#756380

* Wed Nov 30 2011 Radek Novacek <rnovacek@redhat.com> 0.4-1
- Upstream version 0.4
- Make main loop more robust
- Workaround for removing machines using xen
- Add vdsm mode
- Resolves: rhbz#756380, rhbz#757974, rhbz#754330

* Tue Nov 08 2011 Radek Novacek <rnovacek@redhat.com> 0.3-3
- Use updateConsumer API instead of updateConsumerFact (fixes limit 255 chars of uuid list)
- Requires python-rhsm >= 0.96.13
- Resolves: rhbz#749514

* Mon Oct 10 2011 Radek Novacek <rnovacek@redhat.com> 0.3-2.1
- Rebase RHEL-5 version to RHEL-6 version
- Related: rhbz#725839

* Wed Sep 07 2011 Radek Novacek <rnovacek@redhat.com> - 0.3-2
- Add upstream patch that prevents failure when server not implements /status/ command

* Thu Sep 01 2011 Radek Novacek <rnovacek@redhat.com> - 0.3-1
- Add initscript and configuration file

* Mon Aug 22 2011 Radek Novacek <rnovacek@redhat.com> - 0.2-2
- Bump release because of tagging in wrong branch

* Mon Aug 22 2011 Radek Novacek <rnovacek@redhat.com> - 0.2-1
- Update to upstream version 0.2
- Add Requires: libvirt

* Fri Aug 19 2011 Radek Novacek <rnovacek@redhat.com> - 0.1-2
- Add BuildRoot tag (the package will be in RHEL5)

* Wed Aug 10 2011 Radek Novacek <rnovacek@redhat.com> - 0.1-1
- initial import
